# Deprecated API

## Contents

- Classes
- Methods
- Enum Constants

Classes
ru.yandex.clickhouse.util.ClickHouseVersionNumberUtil: As of release 0.3.2, replaced by `ClickHouseVersion` and it will be removed in 0.4.0

Methods
ru.yandex.clickhouse.ClickHousePreparedStatementImpl.setUnicodeStream​(int, InputStream, int)
ru.yandex.clickhouse.ClickHouseStatement.sendCSVStream​(InputStream, String, Map<ClickHouseQueryParam, String>)
ru.yandex.clickhouse.ClickHouseStatement.sendNativeStream​(String, Map<ClickHouseQueryParam, String>, ClickHouseStreamCallback)
ru.yandex.clickhouse.ClickHouseStatement.sendRowBinaryStream​(String, Map<ClickHouseQueryParam, String>, ClickHouseStreamCallback)
ru.yandex.clickhouse.ClickHouseStatement.sendStream​(InputStream, String, Map<ClickHouseQueryParam, String>)
ru.yandex.clickhouse.ClickHouseStatement.sendStreamSQL​(InputStream, String, Map<ClickHouseQueryParam, String>)
ru.yandex.clickhouse.ClickHouseStatementImpl.sendStream​(HttpEntity, String)
ru.yandex.clickhouse.response.AbstractResultSet.getLongArray​(String): prefer to use regular JDBC API, e.g. via `AbstractResultSet.getArray(int)` or simply `ResultSet.getObject(int, Class)`
ru.yandex.clickhouse.response.AbstractResultSet.getUnicodeStream​(int)
ru.yandex.clickhouse.response.ClickHouseColumnInfo.parse​(String, String)
ru.yandex.clickhouse.response.ClickHouseResultSet.getLongArray​(int): prefer to use regular JDBC API
ru.yandex.clickhouse.response.ClickHouseResultSet.getTimestampAsLong​(int): prefer to use regular JDBC API methods, e.g. `ClickHouseResultSet.getTimestamp(int)` or `ClickHouseResultSet.getObject(int, Class)` using `Instant`
ru.yandex.clickhouse.response.ClickHouseResultSet.getValues(): prefer to use regular JDBC API to retrieve the results

Enum Constants
ru.yandex.clickhouse.settings.ClickHouseQueryParam.use_client_time_zone